I have created a macro that exports an image from SolidWorks to file and then copies it to the clipboard using Microsoft Excel in the background. This allows me to then quickly paste the image into emails and documents. Set xl = GetObject(, "Excel.Application") ' Excel is open
SOLIDWORKS Forums
6 мин назад
I want to add an annotation note to templates that shows the name of the SW file used. Linking it works fine if just one file is used, but when more than one file is used in the same drawing file or even on the same sheet, what can I do? Is there a property I can link to that lists all these names, or a macro that can be run? Or should I just instruct people how to do this for every drawing, and just give them an empty field to fill?
SOLIDWORKS Forums
10 мин назад
I'm trying to offset a section of pipe using two 45 degree elbows. I've attached a test sketch, I have two sketches one uses a plane and it works as I need it to, the second is trying to use a 3D sketch however no matter what I try it keeps saying it's over defined. Anyone know how to make this work?
SOLIDWORKS Forums
16 мин назад
Hello. First off, Ifully understandthat Nvidia is the recommended way to go, and that non-Nvidia cards do not take advantage of the GPU rendering. I know that this makes non-Nvidia cards underperform, compared to supported Nvidia cards. I am specifically looking to see how people are doing and feeling with their non-Nvidia cards despite the fact that they're kind of crippled.
SOLIDWORKS Forums
17 мин назад
I can't save assembly custom properties templates, only part custom properties templates - any ideas? After creating my list of properties in the Property Tab Builder I go to file>save as the only file type I can select is .prtprp (for parts), there is no option for .asmprp (for assemblies).
SOLIDWORKS Forums
18 мин назад
What is a good rule of thumb for the maximum distance between fasteners when securing sheet metal parts together. I want to design HVAC shells and thinking about optimizing the assembling process i would like to space out the fasteners as much as possible without making the parts loose. I would appreciate if anyone has any thoughts or books that could help me determine this.
SOLIDWORKS Forums
21 мин назад
i need to create this piece, and i have no idea where to start from. i though of starting by creating the sphere and carving it using swept cut but i dont know how to create this specific pattern - since its different all around. would love to receive to specific instructions so i could start at least. feeling pretty hopeless at the moment.
SOLIDWORKS Forums
21 мин назад
In the process of Drawing Automation using Solidworks vb.net API we are facing one major hurdle regarding dimensioning. For the drawing automation we are generating the drawings using a pre-drafted drawing of a parametric 3D Model. However, when the 3D Part/Assembly gets updated in Solidworks, the views get updated as required but the dimensions are misplaced/ overlapped on each other (Please refer below Screenshots).
SOLIDWORKS Forums
23 мин назад
Texture mapping multiple parts I've been using Visualize for a few months now and one thing is really bugging me. When I apply a appearance to multiple parts and go to edit the texture mapping it prompts "Select a single part to edit its texture mapping.
SOLIDWORKS Forums
26 мин назад
Does this mean there is a part or assembly out there that is referencing it? If so does anyone know which table this reference is contained in in SQL? Re: PDM links to external items?
SOLIDWORKS Forums
34 мин назад
I have all my music on an external hard drive. Streaming here is a big island no-no except for youtube. Both of these are likely to be taken away soon too (IT nazis).
SOLIDWORKS Forums
37 мин назад
We are experiencing an odd problem: Our IT guy plugged in his very old 3Dconnexion SpaceNavigator and it worked straight away in our new installation of Solidworks Composer 2018. We, the users, have purchased the 3Dconnexion SpaceMouse Compact and these do not seem to work with Composer 2018. The 3D mouse works correctly on the same Win 10 - PC with the trainer software. Therefore, it is not an issue with missing connection or missing newest driver.
SOLIDWORKS Forums
55 мин назад
Is it possible to actually perform a PDM search from the command line? All info about PDM Search command line arguments that I can find is only talking about command lineswitchesthat launch the GUI in different ways (specific vault selected, search card selected, etc). I can't find anything about actually performing a search from the command line by specifying actualargumentslike "filename contains X" or "variable contains Y" or whatever. Is this possible?
SOLIDWORKS Forums
1 ч назад
Offset Surface......not like preview CATHODE4_4034-1566 - Copy.SLDPRT.zip1,015.2 KB
SOLIDWORKS Forums
1 ч назад
--------------- EDIT ------------ Good news:I think I see the issue: the render setting had been switched to Fast from Accurate (viewport is set to Accurate)
SOLIDWORKS Forums
1 ч назад
Why...does SolidWorks, when I initiate a cut, more often than not go away from the part and give me the "intended cut does not intersect the model?? If the software knows where the model is, why doesn't it default to the valid direction??
SOLIDWORKS Forums
1 ч назад
For a project I am making a new bonnet for a Caterham. In order to make the mold I need to make a plug from the solid model that I made. This requires filling the model that I have and then creating a shell of the inside. Ive tried many different ways of doing it including intersection and surface fills but I cant seem to get it to work.
SOLIDWORKS Forums
1 ч назад
SWIFT = SolidWorks International Forum Team How many times do you see a great thread get trashed or hijacked for various reasons and I'll take the "Stand" and say I'm the worst for doing that.. So when I'm acting stupid tell me to trash it here, get it?
SOLIDWORKS Forums
1 ч назад
In the left treeview you have the solidworks files and subfolder like in windows explorer. if you select a file in the left treeview it will show you in the right treeview in wich files it's used (Every time you selec a node in the right treeview it will show the parent file)
SOLIDWORKS Forums
1 ч назад
Is there any one who knows these sentences and what does it mean to insert six numbers on the datum?(4,0,1,0,0,0)and(2.60080387698074E-04, 2.78044183819302E-04, 2.05051604612015E-04) boolstatus = Part.Extension.SelectByID2("", "EXTSKETCHPOINT", 0, 0.000284, 0.000075, True, 0, Nothing, 0)
SOLIDWORKS Forums
1 ч назад
I have been trying to figure out the use of these probes/sensors now for wayyy too long and have to admit defeat. My goal is to have the displacement in X displayed in this particular spot as a read out on the sensor, but when I save the probe as a sensor I get nothing???
SOLIDWORKS Forums
1 ч назад
I am asking for your help with how to up my game with regards to being a PDM Administrator. I have taken all the courses our VAR offers and am plenty comfortable with tweaking workflows and users/groups after an implementation by our VAR, but I want to learn more! Basically, I want to get to an application engineer level of understanding so I can do my own implementations from scratch. I am a CAD Administrator with 20+ years of CAD experience and a CIS degree so I know I'm capable, I just can't
SOLIDWORKS Forums
2 ч назад
If I have only one part in assembly orbiting is smooth and GPU meter shows about 20%. When I put more parts (let say 40 parts) in assembly GPU meter gets down to about 4% and orbiting is slow/lagging. I used before SW2017 and with that assemblies (several hundreds parts) worked fine, orbiting was smooth and no lagging but with SW2019 I cannot orbit (extremely slow) these same assemblies anymore. Is there some settings that I have missed?
SOLIDWORKS Forums
2 ч назад
Letely I've been having problem with sub-assembly components becoming "un-mated" while in another asssembly. I say "un-mated" because they act as though they are mated into a fixed position, but the position it fixes them in is random and not where the component is mated into the sub-assemly. i used to have this happen with 2012 once in a while and you just just grab the part with the "Move Component" tool (Doing it with just the pointer never seemed to work. not sure why.) and it would snap
SOLIDWORKS Forums
2 ч назад